无法使用自制软件在Mac上安装go的特定版本

我正尝试使用以下语言安装Go lang版本1.12.7 </ p>

 <  code> brew install go@1.12.7 
</ code> </ pre>

,但其公式是错误的。
任何帮助将不胜感激。</ p>
</ div>

展开原文

原文

i am trying to install go lang version 1.12.7 with

brew install go@1.12.7

but its saying formula is wrong. Any help would be appreciated.

dqqyp90576
dqqyp90576 如果在当前版本为1.12.9的情况下安装1.12.7,则无论如何都做错了。
大约一年之前 回复

1个回答

There is no "simple way".

By default brew allows you set only last patch version for go1.12, because of formula file (right now it is 1.12.9).

But you can do it manually.

:~$ cd "$(brew --repo homebrew/core)"
:~$ git log --oneline Formula/go.rb # To see all old versions
:~$ git reset --hard go1.12.7
HEAD is now at fa46027fe go: update 1.12.7 bottle.

:~$ HOMEBREW_NO_AUTO_UPDATE=1 brew install go@1.12
==> Downloading https://homebrew.bintray.com/bottles/go-1.12.7.mojave.bottle.tar.gz
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐